package nocturne.jfly;

/**
 *    
 */
public class LoggingEnvironment
{
    private static LoggingEnvironment _instance;

    public static LoggingEnvironment getInstance()
    {
        if (_instance == null)
            _instance = new LoggingEnvironment();

        return _instance;
    }

    private nocturne.jfly.IFlyLog _log;

    private LoggingEnvironment()
    {
        _log = new TextFlyLog();
    }

    public nocturne.jfly.IFlyLog get_log()
    {
        return _log;
    }
}
